DCMTK: DcmTLSECGenericOpenSSLError Struct Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmTLSECGenericOpenSSLError Struct Reference

A struct for creating an error condition related to a generic OpenSSL error. More...

Inheritance diagram for DcmTLSECGenericOpenSSLError:

## Public Member Functions
| DcmTLSECGenericOpenSSLError ()
| Constructor, initializes the OFConditionConst base.
OFCondition | operator() (unsigned long errorCode) const
| Create a specialized OpenSSL error condition that refers to the OpenSSL error code.
Public Member Functions inherited from OFConditionConst
OFBool | operator== (const OFConditionConst &arg) const
| comparison operator.
OFBool | operator!= (const OFConditionConst &arg) const
| comparison operator.

## Additional Inherited Members
Public Attributes inherited from OFConditionConst
unsigned short | theModule
| module identifier. 0 is reserved for global codes.
unsigned short | theCode
| status code that is unique for each module
OFStatus | theStatus
| condition status enum
const char * | theText
| error text

## Detailed Description

A struct for creating an error condition related to a generic OpenSSL error.

## Constructor & Destructor Documentation

## ◆ DcmTLSECGenericOpenSSLError()

DcmTLSECGenericOpenSSLError::DcmTLSECGenericOpenSSLError | ( |  | ) |

Constructor, initializes the OFConditionConst base.

Don't use this if you don't have a very good reason.

## Member Function Documentation

## ◆ operator()()

OFCondition DcmTLSECGenericOpenSSLError::operator() | ( | unsigned long | errorCode | ) | const

Create a specialized OpenSSL error condition that refers to the OpenSSL error code.

Parameters

  errorCode | OpenSSL error code

Returns
  an OFCondition that compares equal to DCMTLS_EC_GenericOpenSSLError but also refers to the OpenSSL error code, library and reason in its descriptive text.

The documentation for this struct was generated from the following file:

- dcmtls/include/dcmtk/dcmtls/tlscond.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1